roar_error(3)

NAME
roar_error - RoarAudio error code

SYNOPSIS

#include <roaraudio.h>

DESCRIPTION
This is a variable or macro expanded to an read-write able variable storing the current RoarAudio error value. The data type of this variable or macro is int.

When supported by the host environment this is thread local.

All function calls within libroar are allowed to set this value (exceptions are noted here or in documentation of functions). Some will also clear it in case of no error. Application and other librarys may also alter the value. This means that usage will require the caller to save the value before calling other functions if the value is still needed after the call.

EXCEPTIONS
The following functions will not alter this value: ROAR_DBG(3), ROAR_WARN(3), ROAR_ERR(3), ROAR_INFO(3) as well as roar_err_store(3) and roar_err_restore(3) and roar_err_convert(3).

EXAMPLES
FIXME

SEE ALSO
errno(3), roar_error2str(3), roar_vs_strerr(3), libroar(7), RoarAudio(7).